import React from 'react';
import type { State as RegularIndexesState } from '../../modules/regular-indexes';
import type { State as SearchIndexesState } from '../../modules/search-indexes';
type IndexesProps = {
    isReadonlyView?: boolean;
    regularIndexes: Pick<RegularIndexesState, 'indexes' | 'error' | 'isRefreshing'>;
    searchIndexes: Pick<SearchIndexesState, 'indexes' | 'error' | 'status'>;
    refreshRegularIndexes: () => void;
    refreshSearchIndexes: () => void;
    onClickCreateAtlasSearchIndex: () => void;
};
export declare function Indexes({ isReadonlyView, regularIndexes, searchIndexes, refreshRegularIndexes, refreshSearchIndexes, onClickCreateAtlasSearchIndex, }: IndexesProps): JSX.Element;
declare const _default: import("react-redux").ConnectedComponent<typeof Indexes, {
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
//# sourceMappingURL=indexes.d.ts.map