import React from 'react';
import type AppRegistry from 'hadron-app-registry';
import { type RegularIndex, type RegularSortColumn } from '../../modules/regular-indexes';
import type { SortDirection } from '../../modules';
type RegularIndexesTableProps = {
    indexes: RegularIndex[];
    serverVersion: string;
    isWritable?: boolean;
    dropFailedIndex: (name: string) => void;
    onHideIndex: (name: string) => void;
    onUnhideIndex: (name: string) => void;
    onSortTable: (column: RegularSortColumn, direction: SortDirection) => void;
    localAppRegistry: AppRegistry;
    readOnly?: boolean;
    error?: string | null;
};
export declare const RegularIndexesTable: React.FunctionComponent<RegularIndexesTableProps>;
declare const _default: import("react-redux").ConnectedComponent<(props: Omit<RegularIndexesTableProps & {
    children?: React.ReactNode;
}, "readOnly"> & Partial<Pick<RegularIndexesTableProps & {
    children?: React.ReactNode;
}, "readOnly">>) => React.ReactElement<{}, string | React.JSXElementConstructor<any>>, {
    children?: React.ReactNode;
    readOnly?: boolean | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
//# sourceMappingURL=regular-indexes-table.d.ts.map